org.apache.tapestry5.internal.services.assets

## Class JavaScriptStackAssemblerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.assets.JavaScriptStackAssemblerImpl

- All Implemented Interfaces:
    JavaScriptStackAssembler

      public class JavaScriptStackAssemblerImpl
      extends Object
      implements JavaScriptStackAssembler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptStackAssemblerImpl(ThreadLocale threadLocale, ResourceChangeTracker resourceChangeTracker, StreamableResourceSource streamableResourceSource, JavaScriptStackSource stackSource, AssetChecksumGenerator checksumGenerator, ModuleManager moduleManager, ResourceMinimizer resourceMinimizer, boolean minificationEnabled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StreamableResource` | `assembleJavaScriptResourceForStack(String stackName, boolean compress, JavaScriptAggregationStrategy javascriptAggregationStrategy)` Obtains the `JavaScriptStack` by name, and then uses the `StreamableResourceSource` service to obtain the assets, which are combined together.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptStackAssemblerImpl

          public JavaScriptStackAssemblerImpl(ThreadLocale threadLocale,
                                      ResourceChangeTracker resourceChangeTracker,
                                      StreamableResourceSource streamableResourceSource,
                                      JavaScriptStackSource stackSource,
                                      AssetChecksumGenerator checksumGenerator,
                                      ModuleManager moduleManager,
                                      ResourceMinimizer resourceMinimizer,
                                      @Symbol(value="tapestry.enable-minification")
                                      boolean minificationEnabled)

  - ### Method Detail

    - #### assembleJavaScriptResourceForStack

          public StreamableResource assembleJavaScriptResourceForStack(String stackName,
                                                              boolean compress,
                                                              JavaScriptAggregationStrategy javascriptAggregationStrategy)
                                                                throws IOException

      Description copied from interface: `JavaScriptStackAssembler`
      Obtains the `JavaScriptStack` by name, and then uses the `StreamableResourceSource` service to obtain the assets, which are combined together.

      Expects the non-persistent locale to be set before invoking!
      Specified by:
        `assembleJavaScriptResourceForStack` in interface `JavaScriptStackAssembler`
      Throws:
        `IOException`

${project.version} - Copyright © 2003-2014 The Apache Software Foundation.